Get the next track

Get the next track which can be played within the listening session.The next track will be calculated based on the ruleset which your service follows (eg. DMCA, configured by MassiveMusic upon service setup).

 \ Example request

GET https://7digital-skippi.radio.7digital.net/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/nextTrack

Example Response

The response from this endpoint will provide you with the following information:

  • Track metadata including artist, track and release titles
  • URLs to the track's album artwork
  • Streaming URLs for the track in the different available formats
  • Event specific endpoints to report the track's behaviour within the listening session.
  • Total number of remaining skips allowed in the current listening session
{ 
  "id": 3176939,
  "title": "Evergreen (Love Theme from, \"A Star Is Born\")",
  "artist": "Barbra Streisand",
  "release": "Barbra Streisand's Greatest Hits Volume II",
  "trackPline": "(P) 1976 Columbia Records, a division of Sony Music Entertainment",
  "releasePline": "(P) 1978 Sony Music Entertainment",
  "releaseCline": "(P) 1978 Sony Music Entertainment",
  "releaseImageUrls": {
    "33": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_33.jpg",
    "50": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_50.jpg",
    "100": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_100.jpg",
    "180": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_180.jpg",
    "182": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_182.jpg",
    "200": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_200.jpg",
    "350": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_350.jpg",
    "500": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_500.jpg",
    "800": "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/836/0000283651_800.jpg"
  },
  "streamingUrls": {
    "aac": {
      "160": "https://stream.svc.7digital.net/stream/catalogue?formatId=56&oauth_consumer_key=7dkqa9cr4agw&oauth_nonce=90e1c596-c91c-4bd1-8a8c-accfa971265b&oauth_signature=hLJ5EU5hCVPthh6627lodHSfgEI%3D&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1616496704&oauth_version=1.0&shopId=480&trackId=3176939",
      "64": "https://stream.svc.7digital.net/stream/catalogue?formatId=55&oauth_consumer_key=7dkqa9cr4agw&oauth_nonce=1818a048-71cc-472b-ad19-785b6cc8cb49&oauth_signature=Fy1CS%2BFydXL1fYmASZFmkjTrZVw%3D&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1616496704&oauth_version=1.0&shopId=480&trackId=3176939"
    }
  },
  "usageReporting": {
    "aac": {
      "160": {
        "started": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playStarted?trackId=3176939&playlistId=57fd1c67678dca190c362c4c&format=aac.160",
        "ended": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playEnded?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "skipped": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playSkipped?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "stopped": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playStopped?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "paused": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playPaused?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "resumed": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playResumed?trackId=3176939&playlistId=57fd1c67678dca190c362c4c"
      },
      "64": {
        "started": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playStarted?trackId=3176939&playlistId=57fd1c67678dca190c362c4c&format=aac.64",
        "ended": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playEnded?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "skipped": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playSkipped?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "stopped": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playStopped?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "paused": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playPaused?trackId=3176939&playlistId=57fd1c67678dca190c362c4c",
        "resumed": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/playResumed?trackId=3176939&playlistId=57fd1c67678dca190c362c4c"
      }
    }
  },
  "skipsRemaining": 5,
  "nextTrack": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01/nextTrack",
  "listeningSession": "/listeningSession/a5f1131c-4625-49d1-98a7-e456e1749f01"
}

Specific Error Codes

  • HTTP: 404 - No tracks available for the given session, or session not found.
Path Params
string
required

Identifier for the listening session, generated what the session started.

Language
LoadingLoading…